# Interface ServerAuthConfig

All Superinterfaces:
  `AuthConfig`

public interface ServerAuthConfig extends AuthConfig

## Method Summary

Modifier and Type
Method
Description
`ServerAuthContext`
`getAuthContext(String authContextID, Subject serviceSubject, Map<String,Object> properties)`

### Methods inherited from interface jakarta.security.auth.message.config.AuthConfig

`getAppContext, getAuthContextID, getMessageLayer, isProtected, refresh`

## Method Details

### getAuthContext

ServerAuthContext getAuthContext(String authContextID, Subject serviceSubject, Map<String,Object> properties) throws AuthException

Throws:
  `AuthException`